Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.impl
Class TableLayout

    java.lang.Object
      groovy.swing.impl.TableLayout

All Implemented Interfaces:
  ComponentFacade

    public class TableLayout

extends Object
implements ComponentFacade

Represents a HTML style table layout

Version:
  $Revision: 6778 $
Author:
  James Strachan

Constructor Summary
`TableLayout()`

Method Summary
`void` | `addCell(TableLayoutCell cell)` Adds a new cell to the current grid
`protected LayoutManager` | `createLayoutManager()` Creates a GridBagLayout
`int` | `getCellpadding()`
`Component` | `getComponent()`
`int` | `nextRowIndex()` Creates a new row index for child tags
`void` | `setCellpadding(int cellpadding)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableLayout

    public TableLayout()

Method Detail

### getComponent

    public Component getComponent()

  Specified by:
    `getComponent` in interface `ComponentFacade`

### getCellpadding

    public int getCellpadding()

### setCellpadding

    public void setCellpadding(int cellpadding)

### addCell

    public void addCell(TableLayoutCell cell)

  Adds a new cell to the current grid

### nextRowIndex

    public int nextRowIndex()

  Creates a new row index for child
  tags

### createLayoutManager

    protected LayoutManager createLayoutManager()

  Creates a GridBagLayout

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD